# vim: set ft=spec: -*- rpm-spec -*-
# $Id$

%define game_id sky

Name: BASS-floppy
Version: 0.0348
Release: alt1

Summary: Beneath a Steel Sky (floppy version)
Group: Games/Adventure
License: distributable
Url: http://www.revolution.co.uk/_display.php?id=16

BuildArch: noarch

Source: http://www.mixnmojo.com/bss/BASS-Floppy.zip
Source1: http://www.scummvm.org/SKY.CPT

PreReq: scummvm >= 0.5.0
PreReq: %_gamesdatadir/scummvm

Obsoletes: steel-sky-floppy
Provides: steel-sky-floppy = %version-%release
Conflicts: BASS-CD

# Automatically added by buildreq on Mon Oct 31 2005
BuildRequires: unzip

%description
In futuristic England, there are giant cities owned solely by
corporations, separated by a giant wasteland known as The Gap.
When Robert Foster's Gap-dwelling tribe is killed by soldiers
from Union City who capture him, everything changes for him.
After a narrow escape from the helicopter brining him there as
it inexplicably crashes, Robert and his droid Joey must search
the decaying city, attempting to befriend both the snobby rich
and the frustrated poor as the two attempt to get out of the
city, but in the middle of everything they uncover the dark
truth about LINC, the bizarre computer which makes the city
tick.

%prep
%setup -q -n sky-floppy

%install
%__mkdir_p %buildroot{%_gamesdatadir/scummvm/%game_id,%_menudir}
%__install -p -m644 sky.dsk  %buildroot%_gamesdatadir/scummvm/%game_id/sky.dsk
%__install -p -m644 sky.dnr  %buildroot%_gamesdatadir/scummvm/%game_id/sky.dnr
%__install -p -m644 %SOURCE1 %buildroot%_gamesdatadir/scummvm/%game_id/sky.cpt

%__cat <<EOF >%buildroot%_menudir/%name
?package(%name): \
needs="x11" \
section="Amusement/Adventure" \
title="Beneath a Steel Sky (floppy)" \
command="scummvm -g advmame2x -p %_gamesdatadir/scummvm/%game_id %game_id"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc readme.txt
%_gamesdatadir/scummvm/%game_id
%_menudir/%name

%changelog
* Mon Oct 31 2005 Sir Raorn <raorn@altlinux.ru> 0.0348-alt1
- Rebuilt with new ScummVM
- specfile rewritten from scratch

